/******************************************************************************
    utility
******************************************************************************/

/*** 縦書き ***/
.writing_v {
    -ms-writing-mode: tb-rl;
    writing-mode: vertical-rl;
}

/*** テキストインデント ***/
.text-indent-1 {
    text-indent: 1rem;
}

/******************************************************************************
    部品
******************************************************************************/
/* search box 1 */
.yhp_search_box1 {
    position: relative;
    display: flex;
    width: 100%;
    border: 1px solid #333;
    border-radius: 2.0rem;
    background-color: white;
    padding: 0.12rem 0 0.12rem 0.1rem;
}

.yhp_search_box1 input[type="text"] {
    width: 83%;
    padding: 0.2rem 0 0.2rem 0.3rem;
    border: none;
    font-size: 14px;
}

.yhp_search_box1 input:focus {
    outline: 0;
    border: none;
}

.yhp_search_box1 button {
    position: absolute;
    top: 0rem;
    right: 0;
    cursor: pointer;
    border-radius: 0 0.5rem 0.5rem 0;
    border: none;
    background: none;
    color: #333;
    font-size: 1rem;
    transition: 0.5s;
}

/* search box 2 */
.yhp_search_box2 {
    position: relative;
    box-sizing: border-box;
    border: 2px solid #486A31;
    padding: 2px 7px;
    border-radius: 20px;
    height: 2.2em;
    width: 265px;
    overflow: hidden;
    background-color: white;
}
.yhp_search_box2 input[type="text"]{
    border: none;
    height: 1.8em;
}
.yhp_search_box2 input[type="text"]:focus {
    outline: 0;
}
.yhp_search_box2 button[type="submit"]{
    cursor: pointer;
    font-family: FontAwesome;
    border: none;
    background: #486A31;
    color: #fff;
    position: absolute;
    width: 3.5em;
    height: 2.6em;
    right:0px;
    top: -5px;
    outline : none;
}
.yhp_search_box2 ::-webkit-input-placeholder {
    color: #486A31;
}


/******************************************************************************
    装飾
******************************************************************************/

/*** リンクアニメーション ***/
.yhp_link_anime1 a{
    display: inline-block;
    text-decoration:none;
    position: relative;
    transition: .3s;
}
.yhp_link_anime1 a::after{
    position: absolute;
    bottom: 0;
    left: 50%;
    content: '';
    width: 0;
    height: 2px;
    background-color: #486A31;
    transition: .3s;
    transform: translateX(-50%);
}
.yhp_link_anime1 a:hover::after{
    width: 100%;
}

/* link anime 2 */
.yhp_link_anime2 a{
    display: inline-block;
    text-decoration:none;
    position: relative;
    transition: .3s;
}
.yhp_link_anime2 a::after{
    position: absolute;
    bottom: 0;
    left: 0;
    content: '';
    width: 0;
    height: 2px;
    background-color: #486A31;
    transition: .3s;
}
.yhp_link_anime2 a:hover::after{
    width: 100%;
}

/*** link anime 3 ***/
.yhp_link_anime3 a{
    display: inline-block;
    text-decoration:none;
    position: relative;
    transition: 0.8s;
}
.yhp_link_anime3 a::after{
    position: absolute;
    bottom: .3em;
    left: 0;
    content: '';
    width: 100%;
    height: 1px;
    background-color: #486A31;
    opacity: 0;
    transition: 0.8s;
}
.yhp_link_anime3 a:hover::after{
    bottom: 0;
    opacity: 1;
}
